Results 1 to 2 of 2

Thread: Plugin does not understand ES6 syntax

  1. #1
    Sencha Premium User
    Join Date
    Dec 2012
    Posts
    9
    Vote Rating
    4
      6  

    Default Plugin does not understand ES6 syntax

    Ext JS 6.5 now supports ES6.
    Therefore, I can write a method to the controller as follows.

    PHP Code:
    onItemClick(viewrecord) {
        
    // some code


    However, the IDE Plugin displays an error message.

    Method onItemClick not found in MyApp.main.MainController


    Are you going to improve this problem?

  2. #2
    Sencha User
    Join Date
    Aug 2017
    Posts
    9
    Answers
    1
    Vote Rating
    1
      0  

    Default

    I was about to make the same thread.

    1 up from me.

Similar Threads

  1. [FIXED] Plugin doesn't understand Ext.widget()
    By hakimio in forum JetBrains IDE Plugin
    Replies: 1
    Last Post: 26 May 2015, 12:10 PM
  2. Need Help to understand
    By sudarcr in forum Sencha Architect 3.x: Q&A
    Replies: 1
    Last Post: 18 Jul 2014, 11:34 AM
  3. [CLOSED] Configure CellEditing plugin using declarative syntax
    By pmanrubia in forum Ext 5: Bugs
    Replies: 2
    Last Post: 21 May 2014, 6:40 AM
  4. Replies: 3
    Last Post: 17 Jun 2008, 2:16 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •